/*
Theme Name: Uncode Child
Description: Child theme for Uncode theme
Author: Undsgn™
Author URI: http://www.undsgn.com
Template: uncode
Version: 1.0.0
Text Domain: uncode
*/

body{
    --blu-casa: #050532;
    --sabbia-casa: #CDB476;
    --rame-casa: #85693E;
    --bianco-casa: #FFFFFF;
}

/*Gestione dei font di base*/
h1, h2, h3, h4, h5, p{
    letter-spacing: 1px;
}

h1, h2{
    line-height: normal;
    font-weight: 300;
}

h3{
    line-height: normal;
    font-weight: 500;
}

h4{
    line-height: normal;
    font-weight: 300;
}

h5{
    line-height: normal;
    font-weight: 500;
}

p{
    line-height: 24px;
    font-weight: 300;
}

.mp-h4-oro h4{
    text-transform: uppercase;
    color: var(--sabbia-casa);
}

/*Gestione header home*/
.mp-header-column-home .uncont{
    display: flex;
    flex-direction: column;
    justify-content: center;
}

.mp-header-column-home .uncode_text_column{
    margin-top: 0px;
    margin-top: 0px !important;
}

.mp-header-column-home .bigtext-line0{
    letter-spacing: 12px !important;
}

.mp-header-column-home .column-background{
    overflow: visible !important;
}

.mp-header-column-home .column-background:before{
    content: "";
    right: -70px;
    position: absolute;
    height: 100%;
    background-color: #050532;
    width: 70px;
    opacity: 0.9;
    clip-path: polygon(0 0, 0% 100%, 100% 0);
}

/*Gestione bottoni*/
.style-dark .btn-default, .style-light .style-dark .btn-default{
    color: var(--bianco-casa) !important;
    background-color: var(--sabbia-casa) !important;
    border-color: var(--sabbia-casa) !important;
}

.style-dark .btn-default:not(.btn-hover-nobg):not(.icon-animated):hover{
    color: var(--sabbia-casa) !important;
    background-color: transparent !important;
    border-color: var(--sabbia-casa) !important;
}



/*Customizazione del Form*/
div.wpforms-container-full input, div.wpforms-container-full textarea{
    color: var(--bianco-casa) !important;
    background-color: var(--blu-casa) !important;
    border: none !important;
    border-radius: 0 !important;
}

    div.wpforms-container-full input:focus, div.wpforms-container-full textarea:focus{
        box-shadow: none !important;
    }

    div.wpforms-container-full input::placeholder, div.wpforms-container-full textarea::placeholder{
        color: var(--bianco-casa) !important;
        opacity: 1 !important;
    }

div.wpforms-container-full button[type=submit]{
    background-color: var(--sabbia-casa) !important;
    color: var(--bianco-casa) !important;
    border: 1px solid var(--sabbia-casa); 
}

    div.wpforms-container-full button[type=submit]:hover{
        background: inherit !important;
        color: var(--sabbia-casa) !important;
    }

    div.wpforms-container-full button[type=submit]:focus:after{
        border: none !important;
    }

.g-recaptcha{
	display: flex !important; 
	justify-content: space-around;
}

/*Griglia delle categorie in HOME*/
.mp-grid-category-case .uncell{
    overflow: hidden !important;
}

.mp-grid-category-case .uncont{
    position: relative;
    z-index: 2;
    height: 180px !important;
    align-content: center !important;
}

    .mp-grid-category-case .uncont .uncode_text_column{
        width: 55%;
    }

    .mp-grid-category-case .uncont h3{
        color: var(--sabbia-casa) !important;
        text-transform: uppercase;
    }

    .mp-grid-category-case .uncont p{
        color: var(--bianco-casa) !important;
        margin-top: 15px !important;
    }

.mp-grid-category-case .column-background:before{
    content: "";
    position: absolute;
    width: 65%;
    height: 100%;
    background-color: var(--blu-casa);
    z-index: 1;
    top: 0;
    left: 0;
    opacity: 0.9;
    clip-path: polygon(0 0, 100% 0, calc(100% - 20px) 100%, 0% 100%);
}

/*Gestione icnone servizi*/
.mp-icon-section div.icon-box{
    padding: 25px !important;
    background-color: var(--bianco-casa);
}

    .mp-icon-section div.icon-box .icon-box-icon{
        width: 70px !important;
    }

    .mp-icon-section div.icon-box .h5{
        font-size: 24px;
        line-height: 26px;
        margin-top: 16px;
    }

/*Chi siamo - Immagine Storia*/
.mp-immagine-storia{
    position: relative;
}

.mp-immagine-storia img{
    clip-path: polygon(0 0, 100% 0, calc(100% - 36px) 100%, 0% 100%);
}

.mp-immagine-storia:before, .mp-immagine-storia::after{
    content: "";
    position: absolute;
}

.mp-immagine-storia:before{
    width: 90px;
    height: 90px;
    background-color: var(--blu-casa);
    bottom: -41px;
    right: -23px;
    z-index: 2;
}

.mp-immagine-storia::after{
    width: 250px;
    height: 100px;
    background-color: var(--sabbia-casa);
    top: -25px;
    left: -25px;
    z-index: 0;
}

/*Chi siamo - Immagini Mission*/
.mp-immagine-mission-1{
    position: relative;
}

    .mp-immagine-mission-1:before, .mp-immagine-mission-1::after{
        content: "";
        position: absolute;
    }

        .mp-immagine-mission-1:before{
            width: 50px;
            height: 50px;
            background-color: var(--blu-casa);
            bottom: -21px;
            right: 19px;
            z-index: 2;
        }

        .mp-immagine-mission-1::after{
            width: 100px;
            height: 170px;
            background-color: var(--sabbia-casa);
            top: 35px;
            left: -35px;
            z-index: 0;
    }

    .mp-immagine-mission-2{
        position: relative;
    }
    
        .mp-immagine-mission-2:before, .mp-immagine-mission-2::after{
            content: "";
            position: absolute;
        }
    
            .mp-immagine-mission-2:before{
                width: 60px;
                height: 60px;
                background-color: var(--blu-casa);
                top: -26px;
                right: -21px;
                z-index: 2;
            }
    
            .mp-immagine-mission-2::after{
                width: 120px;
                height: 90px;
                background-color: var(--sabbia-casa);
                bottom: -25px;
                right: -15px;
                z-index: 0;
        }




/*Chi siamo - FAQ*/
.mp-faq-row .style-dark .panel-title > a:hover, .mp-faq-row .panel-title.active > a, .mp-faq-row .panel-title.active > a span:after{
    color: var(--bianco-casa) !important;
    background-color: var(--sabbia-casa);
}

.mp-faq-row .panel-title > a{
    padding: 18px 10px !important;
}

.mp-faq-row .plus-signed .panel-title > a span:after{
    right: 10px !important;
}

.mp-faq-row .uncode-accordion:not(.default-typography) .panel-title > a > span{
    font-size: 18px !important;
    text-transform: capitalize !important;
    letter-spacing: normal !important;
    font-weight: 500 !important;
}

.mp-faq-row .panel-body{
    padding: 28px 10px !important;
}

/*Footer*/
.mp-footer h5{
    padding-top: 12px !important;
}

.mp-footer h3, .mp-footer h5{
    color: var(--sabbia-casa) !important;
}

.mp-footer .vc_wp_custommenu{
    margin-top: 10px !important;
}

.mp-footer .menu{
    margin-top: 14px !important;
}

.mp-footer p, .mp-footer a{
    font-size: 16px !important;
    line-height: 20px !important;
}



/*Classi Mobile e Simili*/
@media(max-width: 1500px){
    h2{
        font-size: 47px !important;
    }

    h5{
        font-size: 18px !important
    }
}

@media(max-width: 1200px){
    h2{
        font-size: 42px !important;
    }

    h3{
        font-size: 27px !important
    }

    h4{
        font-size: 26px !important
    }

    p{
        font-size: 16px !important;
    }
}


@media(min-width: 960px) and (max-width: 1300px){
    .mp-sezione-blocchi-homepage .col-lg-6{
        display: none;
    }

    .mp-sezione-blocchi-homepage .col-lg-3{
        width: 50%;
    }
}

@media(max-width: 960px){
    .mp-header-column-home .column-background:before {
        bottom: -70px;
        right: unset;
        height: 70px;
        width: 100%;
    }

    .owl-prev i, .owl-next i {
        font-size: 21px;
        position: relative;
        top: 42px;
    }

}

@media(max-width: 569px){
    .btn:not(input):not(.checkout-button):not(.btn-no-scale){
        transform: scale(1) !important;
    }

    h2 {
        font-size: 38px !important;
    }

    p {
        font-size: 15px !important;
    }

    

}


@media(max-width: 450px){
    .owl-prev i, .owl-next i {
        font-size: 21px;
        position: relative;
        top: 36px;
    }

    .mp-grid-category-case .uncont .uncode_text_column {
        width: 100%;
        margin-bottom: 70px;
    }

    .mp-grid-category-case .column-background:before {
        width: 100%;
        height: 80%;
        clip-path: polygon(0 0, 100% 0, 100% calc(100% - 20px), 0% 100%);
    }
    
    h2 {
        font-size: 25px !important;
    }

    h3 {
        font-size: 22px !important;
    }

    h4 {
        font-size: 23px !important;
    }

    h5 {
        font-size: 17px !important;
        font-weight: 400;
    }

    p {
        font-size: 14px !important;
    }
}